# $Revision: 1.6 $, $Date: 2010/07/08 08:02:35 $
#
%define		module	cfgparse
%define		_ver	v01_02
%define		ver	%(echo %{_ver} | sed -e 's@^v0@@' -e 's@_@.@g')
#
Summary:	Python configuration file parser module
Summary(pl.UTF-8):	Moduł Pythona do parsowania plików konfiguracyjnych
Name:		python-cfgparse
Version:	%{ver}
Release:	3
License:	distrubutable	
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/cfgparse/%{module}-%{_ver}.tar.gz
# Source0-md5:	9add1b0bbf828f7c7383407cdeefea94
URL:		http://cfgparse.sourceforge.net/
BuildRequires:	python >= 2.3
BuildRequires:	rpmbuild(macros) >= 1.231
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python configuration file parser module.

%description -l pl.UTF-8
Moduł Pythona do parsowania plików konfiguracyjnych.

%prep
%setup -q -n %{module}-%{_ver}

%install
rm -rf $RPM_BUILD_ROOT

python ./setup.py install \
	--root=$RPM_BUILD_ROOT

# make python *.pyo files
%{py_ocomp} $RPM_BUILD_ROOT%{py_sitescriptdir}

# remove .py files, leave just compiled ones.
%{py_postclean}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt docs/cfgparse.pdf docs/cfgparse/* 
%{py_sitescriptdir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-cfgparse.spec,v $
Revision 1.6  2010/07/08 08:02:35  arekm
- release 3

Revision 1.5  2008/10/03 17:46:57  arekm
- release 2

Revision 1.4  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.2  2006/03/12 19:15:56  qboosh
- unified sf URL

Revision 1.1  2006/03/12 07:22:08  twittner
- added, STBR
